com.streambase.sb.operator

## Interface Operator.SharedObject

- Enclosing class:
    Operator

      public static interface Operator.SharedObject

  A SharedObject is an object that can be shared between Operators within a Container. Each SharedObject must implement the given interface so that it can be properly managed by the Container.
  Since:
    7.1 initial release

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Operator.SharedObject.State` The state of the SharedObject

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `resumeObject()` Resume the SharedObject.
    `void` | `shutdownObject()` Shutdown the SharedObject.
    `void` | `startObject()` Start the SharedObject.
    `void` | `suspendObject()` Suspend the SharedObject.

- - ### Method Detail

    - #### startObject

          void startObject()
                    throws StreamBaseException

      Start the SharedObject. SharedObjects are started BEFORE any Operators are started.
      Throws:
        `StreamBaseException` - on error

    - #### resumeObject

          void resumeObject()
                     throws StreamBaseException

      Resume the SharedObject. SharedObjects are resumed BEFORE any Operators are resumed.
      Throws:
        `StreamBaseException` - on error

    - #### suspendObject

          void suspendObject()
                      throws StreamBaseException

      Suspend the SharedObject. SharedObjects are suspended AFTER any Operators are suspended.
      Throws:
        `StreamBaseException` - on error

    - #### shutdownObject

          void shutdownObject()
                       throws StreamBaseException

      Shutdown the SharedObject. SharedObjects are shutdown AFTER any Operators are shutdown.
      Throws:
        `StreamBaseException` - on error

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.